Exports a smart messaging candidate document into the specified destination.
This method is a long-running operation. The returned Operation type has the following method-specific fields:
metadata:KnowledgeOperationMetadataresponse:Document
HTTP request
POST https://{endpoint}/v2/{name=projects/*/knowledgeBases/*/documents/*}:export
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the document to export. Format: Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"exportFullContent": boolean,
"smartMessagingPartialUpdate": boolean,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"gcsDestination": {
object ( |
| Fields | |
|---|---|
exportFullContent |
When enabled, export the full content of the document including empirical probability. |
smartMessagingPartialUpdate |
When enabled, export the smart messaging allowlist document for partial update. |
| Required. The destination for the export. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
gcsDestination |
Cloud Storage file path to export the document. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dialogflow
For more information, see the Authentication Overview.